Bug 892086 - [abrt] libreoffice-core-3.6.3.2-8.fc18: SwRootFrm::IsLeftToRightViewLayout killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.6.3.2-8.fc18: SwRootFrm::IsLeftToRightViewLayout ki...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
abrt_hash:ec00399ddcf6f2a7dc803b336ed...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-05 02:07 EST by Mikhail
Modified: 2013-07-10 08:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 08:44:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (36.20 KB, text/plain)
2013-01-05 02:07 EST, Mikhail
no flags Details
File: cgroup (130 bytes, text/plain)
2013-01-05 02:07 EST, Mikhail
no flags Details
File: core_backtrace (3.37 KB, text/plain)
2013-01-05 02:07 EST, Mikhail
no flags Details
File: dso_list (18.92 KB, text/plain)
2013-01-05 02:07 EST, Mikhail
no flags Details
File: environ (1.79 KB, text/plain)
2013-01-05 02:07 EST, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-05 02:07 EST, Mikhail
no flags Details
File: maps (59.32 KB, text/plain)
2013-01-05 02:07 EST, Mikhail
no flags Details
File: open_fds (569 bytes, text/plain)
2013-01-05 02:07 EST, Mikhail
no flags Details
File: proc_pid_status (783 bytes, text/plain)
2013-01-05 02:07 EST, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-01-05 02:07:22 EST
Description of problem:
LibreOffice Hangs

Version-Release number of selected component:
libreoffice-core-3.6.3.2-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer '/run/media/mikhail/4F3C-5646/\xd1\x88\xd0\xba\xd0\xbe\xd0\xbb\xd1\x8c\xd0\xbd \xd0\xb7\xd0\xb0\xd0\xb4\xd0\xb0\xd1\x87\xd0\xbd\xd0\xb8\xd0\xba\xd0\xb8/\xd0\xa2\xd1\x83\xd1\x80\xd1\x87\xd0\xb8\xd0\xbd\xd0\xb0 3800 \xd0\xb7\xd0\xb0\xd0\xb4\xd0\xb0\xd1\x87 \xd0\xb4\xd0\xbb\xd1\x8f \xd1\x88\xd0\xba\xd0\xbe\xd0\xbb\xd1\x8c\xd0\xbd\xd0\xb8\xd0\xba\xd0\xbe\xd0\xb2 \xd0\xb8 \xd0\xbf\xd0\xbe\xd1\x81\xd1\x82\xd1\x83\xd0\xbf\xd0\xb0\xd1\x8e\xd1\x89\xd0\xb8\xd1\x85 \xd0\xb2 \xd0\x92\xd0\xa3\xd0\x97\xd1\x8b(2000)(ru)(200dpi)(T)(672s)_PSch_.djvu' --splash-pipe=6
crash_function: __x86.get_pc_thunk.bx
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.6.11-3.fc18.i686.PAE
remote_result:  NOTFOUND
uid:            1000
var_log_messages: Jan  4 18:51:12 localhost abrt[3921]: Saved core dump of pid 3841 (/usr/lib/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2013-01-04-18:51:10-3841 (114941952 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __x86.get_pc_thunk.bx at /usr/lib/libreoffice/program/../program/libswlo.so
 #1 SwRootFrm::IsLeftToRightViewLayout at /usr/src/debug/libreoffice-3.6.3.2/sw/source/core/layout/pagechg.cxx:2416
 #2 SwPageFrm::SidebarPosition at /usr/src/debug/libreoffice-3.6.3.2/sw/source/core/layout/pagechg.cxx:1406
 #3 SwRootFrm::CheckViewLayout at /usr/src/debug/libreoffice-3.6.3.2/sw/source/core/layout/pagechg.cxx:2291
 #4 InsertNewPage at /usr/src/debug/libreoffice-3.6.3.2/sw/source/core/layout/frmtool.cxx:2722
 #5 SwLayHelper::CheckInsertPage at /usr/src/debug/libreoffice-3.6.3.2/sw/source/core/layout/laycache.cxx:657
 #6 SwLayHelper::CheckInsert at /usr/src/debug/libreoffice-3.6.3.2/sw/source/core/layout/laycache.cxx:936
 #7 _InsertCnt at /usr/src/debug/libreoffice-3.6.3.2/sw/source/core/layout/frmtool.cxx:1310
 #8 SwRootFrm::Init at /usr/src/debug/libreoffice-3.6.3.2/sw/source/core/layout/newfrm.cxx:569
 #9 ViewShell::Init at /usr/src/debug/libreoffice-3.6.3.2/sw/source/core/view/vnew.cxx:152
Comment 1 Mikhail 2013-01-05 02:07:27 EST
Created attachment 672743 [details]
File: backtrace
Comment 2 Mikhail 2013-01-05 02:07:30 EST
Created attachment 672744 [details]
File: cgroup
Comment 3 Mikhail 2013-01-05 02:07:32 EST
Created attachment 672745 [details]
File: core_backtrace
Comment 4 Mikhail 2013-01-05 02:07:35 EST
Created attachment 672746 [details]
File: dso_list
Comment 5 Mikhail 2013-01-05 02:07:38 EST
Created attachment 672747 [details]
File: environ
Comment 6 Mikhail 2013-01-05 02:07:40 EST
Created attachment 672748 [details]
File: limits
Comment 7 Mikhail 2013-01-05 02:07:45 EST
Created attachment 672749 [details]
File: maps
Comment 8 Mikhail 2013-01-05 02:07:48 EST
Created attachment 672750 [details]
File: open_fds
Comment 9 Mikhail 2013-01-05 02:07:50 EST
Created attachment 672751 [details]
File: proc_pid_status
Comment 10 Caolan McNamara 2013-01-07 08:01:14 EST
caolanm->Mikhail: Are you able to reproduce this with a specific document ? If you can, could you attach it here for us.

caolanm->mstahl: at :1406 the getRootFrm() is the second use of getRootFrm() in that method, so presumably the ViewShell is valid anyway.
Comment 11 Michael Stahl 2013-07-10 08:44:32 EDT
have no idea what is going on here without a reproducer document.

Note You need to log in before you can comment on or make changes to this bug.